[page:Material] →

# [name]

[name] is internally used for implementing shadow mapping with [page:PointLight]s.
Can also be used to customize the shadow casting of an object by assigning an instance of [name] to [page:Object3D.customDistanceMaterial]. The following examples demonstrates this approach in order to ensure transparent parts of objects do no cast shadows.

## Examples

[example:webgl_shadowmap_pointlight WebGL / shadowmap / pointlight]

## Constructor

### [name]( [param:Object parameters] )

[page:Object parameters] - (optional) an object with one or more properties defining the material's appearance. Any property of the material (including any property inherited from [page:Material]) can be passed in here.

## Properties

See the base [page:Material] class for common properties.

### [property:Texture alphaMap]

The alpha map is a grayscale texture that controls the opacity across the surface (black: fully transparent; white: fully opaque). Default is null.
Only the color of the texture is used, ignoring the alpha channel if one exists. For RGB and RGBA textures, the [page:WebGLRenderer WebGL] renderer will use the green channel when sampling this texture due to the extra bit of precision provided for green in DXT-compressed and uncompressed RGB 565 formats. Luminance-only and luminance/alpha textures will also still work as expected.

### [property:Texture displacementMap]

The displacement map affects the position of the mesh's vertices. Unlike other maps which only affect the light and shade of the material the displaced vertices can cast shadows, block other objects, and otherwise act as real geometry. The displacement texture is an image where the value of each pixel (white being the highest) is mapped against, and repositions, the vertices of the mesh.

### [property:Float displacementScale]

How much the displacement map affects the mesh (where black is no displacement, and white is maximum displacement). Without a displacement map set, this value is not applied. Default is `1`.

### [property:Float displacementBias]

The offset of the displacement map's values on the mesh's vertices. Without a displacement map set, this value is not applied. Default is `0`.

### [property:Boolean fog]

Whether the material is affected by fog. Default is `false`.

### [property:Texture map]

The color map. May optionally include an alpha channel, typically combined with [page:Material.transparent .transparent] or [page:Material.alphaTest .alphaTest]. Default is null.

## Methods

See the base [page:Material] class for common methods.

## Source

[link:https://github.com/mrdoob/three.js/blob/master/src/[path].js src/[path].js]